=== os/debian/changelog ===
openttd (0.5.0~rc5-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@xanthe>  Thu,  8 Feb 2007 13:37:31 +0100

openttd (0.5.0~rc4-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@xanthe>  Wed, 17 Jan 2007 01:37:31 +0100

openttd (0.5.0~rc3-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@xanthe>  Sun,  7 Jan 2007 13:43:45 +0100

openttd (0.5.0~rc2-1) unstable; urgency=low

  * New upstream release.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Fri, 22 Dec 2006 11:03:46 +0100

openttd (0.4.8-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.7.2

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Mon, 14 Aug 2006 16:28:50 +0200

openttd (0.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Mon, 27 Mar 2006 23:40:00 +0200

openttd (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Remove old terminal messages and make sure that debconf is always called.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Wed,  8 Mar 2006 23:57:35 +0100

openttd (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.6.2
  * s/timdity/timidity/ in README.Debian.
  * Use debconf for prompting instead of terminal.
  * Fix makefile to create icon dir if necessary.
  * Fix syntax error in manpage.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Wed,  1 Feb 2006 01:56:39 +0100

openttd (0.4.0.1-5) unstable; urgency=low

  * Fixed capitalization of menu item.
  * Install xpm icon to /usr/share/pixmaps and don't install png icon, since
    it is not used.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu, 22 Sep 2005 10:35:09 +0200

openttd (0.4.0.1-4) unstable; urgency=low

  * Changelog was distributed twice.
  * Put openttd in contrib.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Mon, 19 Sep 2005 23:49:18 +0200

openttd (0.4.0.1-3) unstable; urgency=low

  * Clarified installing instructions in README.Debian

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu, 16 Jun 2005 03:51:13 +0200

openttd (0.4.0.1-2) unstable; urgency=low

  * Added Suggests: timidity, freepats

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu, 16 Jun 2005 03:34:03 +0200

openttd (0.4.0.1-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Mon, 23 May 2005 13:04:24 +0200

openttd (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Mon, 16 May 2005 00:16:17 +0200

openttd (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Modifed Makefile to install xpm icon and scenarios in /usr/share/games/openttd/
  * Added openttd.32.xpm, openttd.64.xpm was too big

 -- root <root@katherina.student.utwente.nl>  Tue, 25 Jan 2005 19:21:08 +0100

openttd (0.3.5-2) unstable; urgency=low

  * Fixed some lintian warnings.
  * Added openttd.64.xpm (icon for menu).

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Mon, 27 Dec 2004 01:51:36 +0100

openttd (0.3.5-1) unstable; urgency=low

  * Initial Release.

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Fri, 24 Dec 2004 02:58:47 +0100
